From b4510202e7b79b38873dcd6daf664ed3849acc03 Mon Sep 17 00:00:00 2001
From: Richard Guo <guofenglinux@gmail.com>
Date: Mon, 25 Dec 2023 10:25:48 +0800
Subject: [PATCH v1] Fix erroneous -Werror=missing-braces on old GCC

---
 src/common/blkreftable.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/common/blkreftable.c b/src/common/blkreftable.c
index d0ecaa05ef..ab70ebc877 100644
--- a/src/common/blkreftable.c
+++ b/src/common/blkreftable.c
@@ -265,7 +265,7 @@ BlockRefTableSetLimitBlock(BlockRefTable *brtab,
 						   BlockNumber limit_block)
 {
 	BlockRefTableEntry *brtentry;
-	BlockRefTableKey key = {0}; /* make sure any padding is zero */
+	BlockRefTableKey key = {{0}}; /* make sure any padding is zero */
 	bool		found;
 
 	memcpy(&key.rlocator, rlocator, sizeof(RelFileLocator));
@@ -300,7 +300,7 @@ BlockRefTableMarkBlockModified(BlockRefTable *brtab,
 							   BlockNumber blknum)
 {
 	BlockRefTableEntry *brtentry;
-	BlockRefTableKey key = {0}; /* make sure any padding is zero */
+	BlockRefTableKey key = {{0}}; /* make sure any padding is zero */
 	bool		found;
 #ifndef FRONTEND
 	MemoryContext oldcontext = MemoryContextSwitchTo(brtab->mcxt);
@@ -340,7 +340,7 @@ BlockRefTableEntry *
 BlockRefTableGetEntry(BlockRefTable *brtab, const RelFileLocator *rlocator,
 					  ForkNumber forknum, BlockNumber *limit_block)
 {
-	BlockRefTableKey key = {0}; /* make sure any padding is zero */
+	BlockRefTableKey key = {{0}}; /* make sure any padding is zero */
 	BlockRefTableEntry *entry;
 
 	Assert(limit_block != NULL);
@@ -517,7 +517,7 @@ WriteBlockRefTable(BlockRefTable *brtab,
 		for (i = 0; i < brtab->hash->members; ++i)
 		{
 			BlockRefTableSerializedEntry *sentry = &sdata[i];
-			BlockRefTableKey key = {0}; /* make sure any padding is zero */
+			BlockRefTableKey key = {{0}}; /* make sure any padding is zero */
 			unsigned	j;
 
 			/* Write the serialized entry itself. */
-- 
2.31.0

